package cn.ibizlab.businesscentral.core.odoo_stock.client;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;
import cn.ibizlab.businesscentral.core.odoo_stock.domain.Stock_production_lot;
import cn.ibizlab.businesscentral.core.odoo_stock.filter.Stock_production_lotSearchContext;
import org.springframework.stereotype.Component;

/**
 * 实体[stock_production_lot] 服务对象接口
 */
@Component
public class stock_production_lotFallback implements stock_production_lotFeignClient{

    public Stock_production_lot update(Long id, Stock_production_lot stock_production_lot){
            return null;
     }
    public Boolean updateBatch(List<Stock_production_lot> stock_production_lots){
            return false;
     }




    public Stock_production_lot get(Long id){
            return null;
     }



    public Stock_production_lot create(Stock_production_lot stock_production_lot){
            return null;
     }
    public Boolean createBatch(List<Stock_production_lot> stock_production_lots){
            return false;
     }

    public Page<Stock_production_lot> search(Stock_production_lotSearchContext context){
            return null;
     }


    public Boolean remove(Long id){
            return false;
     }
    public Boolean removeBatch(Collection<Long> idList){
            return false;
     }

    public Page<Stock_production_lot> select(){
            return null;
     }

}
